import * as $dara from '@darabonba/typescript';
import { DescribePlanMaintenanceWindowsResponseBody } from "./DescribePlanMaintenanceWindowsResponseBody";
export declare class DescribePlanMaintenanceWindowsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribePlanMaintenanceWindowsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
